Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.core
[Java] Class UIThreadManager.ScriptOrRunnableRunner

    java.lang.Object
      griffon.util.RunnableWithArgs
          griffon.core.UIThreadManager.ScriptOrRunnableRunner

    private static abstract class UIThreadManager.ScriptOrRunnableRunner
    extends RunnableWithArgs

Field Summary

Fields inherited from class RunnableWithArgs
NO_ARGS, args, lock

Constructor Summary
`UIThreadManager.ScriptOrRunnableRunner()`

Method Summary
`protected String` | `getMethodName()`
`void` | `run(Object[] args)`
`protected void` | `withRunnable(Runnable runnable)`
`protected void` | `withScript(Script script)`

Methods inherited from class RunnableWithArgs
getArgs, run, run, setArgs

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### UIThreadManager.ScriptOrRunnableRunner

    UIThreadManager.ScriptOrRunnableRunner()

Method Detail

### getMethodName

    protected String getMethodName()

### run

    public void run(Object[] args)

### withRunnable

    protected void withRunnable(Runnable runnable)

### withScript

    protected void withScript(Script script)

Groovy Documentation